Results 1 to 8 of 8

Thread: "Not all upgrades can be installed"

  1. #1
    Join Date
    Mar 2006
    Location
    Chicago USA
    Beans
    126
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    "Not all upgrades can be installed"

    Since upgrading to Hardy, I've been getting a failure when I try to upgrade packages. Some packages install, but I get error message
    Not all upgrades can be installed
    possible problems:
    * previous update did not complete
    * problems with some of the installed software
    * unofficial software packages
    * normal changes of a pre-release version of Ubuntu
    The packages that are greyed out are:
    * Recommended upgrades:
    f-spot
    linux headers generic
    linux image - 386 (no version number)
    linux image - generic
    * Distribution updates:
    gstreamer0.10-plugins-bad-multiverse
    libgtk1.2
    libmjpegtools 0c2a
    mjpegtools
    mplayer

    Can anyone tell me what this means? I have limited knowledge of this stuff. I have Linux on my home Dell notebook compluter and I can usually keep it working. Since Hardy, I've had to re-install Firefox2 and I have trouble with sleep so I sometimes boot from old kernel, though now I'm running 2-6-24-16-generic

  2. #2
    Join Date
    Mar 2008
    Beans
    27

    Re: "Not all upgrades can be installed"

    I run Ubuntu Gutsy Heron 8.04 LTS upgraded from 7.10 at end of April. When I switch on PC it shows 103 updates available to install. I go to Update Manager and click on install updates. Nothing happens - the "egg timer" icon spins but the PC stays like this and does not go to next stage. I have left PC like this for a long time. I do not get any error message. I have to reboot to get rid of spinning icon.

    What is going wrong??

  3. #3
    Join Date
    Oct 2007
    Location
    Oslo, Norway
    Beans
    75
    Distro
    Ubuntu 7.10 Gutsy Gibbon

    Re: "Not all upgrades can be installed"

    I had the same problem a few days ago. 100+ updates, but it refused to install updates for f-spot and openoffice.
    I resolved (by itself?) after a couple of days.
    Christian of Norway

    With Ubuntu running smoothly on 3 computers, what should I do with all the spare time?

  4. #4
    Join Date
    Jul 2005
    Location
    England
    Beans
    Hidden!

    Re: "Not all upgrades can be installed"

    Open synaptic and look in the system bar at the bottom. It may tell you there are broken packages on your system. If so go to Edit>>Fix Broken Packages and that may sort it out.

    If that doesn't work, try in terminal
    Code:
    sudo dpkg --configure -a
    and that may help, or
    Code:
    sudo apt-get install -f
    to fix any broken packages.

  5. #5
    Join Date
    Feb 2007
    Location
    Melbourne
    Beans
    799
    Distro
    Kubuntu 8.04 Hardy Heron

    Re: "Not all upgrades can be installed"

    Quote Originally Posted by dogdog View Post
    I run Ubuntu Gutsy Heron 8.04 LTS upgraded from 7.10 at end of April. When I switch on PC it shows 103 updates available to install. I go to Update Manager and click on install updates. Nothing happens - the "egg timer" icon spins but the PC stays like this and does not go to next stage. I have left PC like this for a long time. I do not get any error message. I have to reboot to get rid of spinning icon.

    What is going wrong??
    Thread hijacker!

    I don't know what has gone wrong. I assume you are using Adept Updater or something like that. Instead, close all that down and open Synaptic instead. Hit "Reload", then "Mark All Upgrades", then "Apply".

    Or just don't upgrade at all. Your system will still work.

  6. #6
    Join Date
    Mar 2006
    Location
    Chicago USA
    Beans
    126
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: "Not all upgrades can be installed"

    Thanks, ajgreeny. Synaptic Package Manager...Edit>Fix Broken Packages. A message at bottom bar said "Dependencies Fixed" Then I installed all upgrades with Synaptic. Now my system is up to date and I'm running kernel 2-6-24-17-generic.

  7. #7
    Join Date
    Jul 2005
    Location
    England
    Beans
    Hidden!

    Re: "Not all upgrades can be installed"

    Glad to be of assistance.
    You'll pick up these tricks little by little, and every so often they come in really useful!

  8. #8
    Join Date
    Mar 2008
    Beans
    27

    Re: "Not all upgrades can be installed"

    Many thanks for all the help and suggestions. I have managed to install 77 out of 103 updates.

    When I tried to install emaining 26 updates I got message:

    An error occurred. The following details are provided.

    Then 26 messages (one for each failed update)along the following lines:

    W: Failed to fetch http://gb.archive.ubuntu.com/ubuntu/...2.22.1-Oubuntu 2.1_i386.deb 404 Not Found (IP: 91.189.88.45 80)

    Is this a temporary problem with ubuntu server or symptomatic of a problem at my end??

    Synatic said no broken packages.

    Any reason why the updates that did work, worked with Synaptic Package Manager but not with update Manager??

    Again - many thanks for help.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •